Index: cpukit/headers.am
===================================================================
--- cpukit/headers.am	(revision 1fb1cf1a3a61021790a9cc438a150e4141b5a386)
+++ cpukit/headers.am	(revision a78495eda2d8ef6653a06222f9786b51f722efab)
@@ -204,4 +204,5 @@
 include_rtems_confdefs_HEADERS += include/rtems/confdefs/threads.h
 include_rtems_confdefs_HEADERS += include/rtems/confdefs/unlimited.h
+include_rtems_confdefs_HEADERS += include/rtems/confdefs/wkspace.h
 include_rtems_confdefs_HEADERS += include/rtems/confdefs/wkspacesupport.h
 include_rtems_debugger_HEADERS += include/rtems/debugger/rtems-debugger-bsp.h
Index: cpukit/include/rtems/confdefs.h
===================================================================
--- cpukit/include/rtems/confdefs.h	(revision 1fb1cf1a3a61021790a9cc438a150e4141b5a386)
+++ cpukit/include/rtems/confdefs.h	(revision a78495eda2d8ef6653a06222f9786b51f722efab)
@@ -1,21 +1,41 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
 /**
  * @file
  *
- * @brief Configuration Table Template that will be Instantiated
- * by an Application
+ * @ingroup RTEMSApplicationConfiguration
  *
- * This include file contains the configuration table template that will
- * be instantiated by an application based on the setting of a number
- * of macros.  The macros are documented in the Configuring a System
- * chapter of the Classic API User's Guide
+ * @brief Evaluate Configuration Options
+ *
+ * This header file includes a couple of header files which evaluate the
+ * configuration options specified by the application.  The macros and defines
+ * used to configure the system are documented in the Configuring a System
+ * chapter of the Classic API User's Guide.
  */
 
 /*
- *  COPYRIGHT (c) 1989-2015.
- *  On-Line Applications Research Corporation (OAR).
+ * Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
+ * Copyright (C) 1989, 2000 On-Line Applications Research Corporation (OAR)
  *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
  */
 
@@ -23,13 +43,23 @@
 #define __CONFIGURATION_TEMPLATE_h
 
+/**
+ * @defgroup RTEMSApplicationConfiguration Application Configuration
+ *
+ * @ingroup RTEMSInternal
+ *
+ * @brief Evaluation of Application Configuration Options
+ *
+ * This group contains header files which evaluate the configuration options
+ * specified by the application.
+ *
+ * @{
+ */
+
 /*
- * Include the executive's configuration
+ * This header file must be included first.  For example, configuration options
+ * which have been renamed are mapped to the new define.
  */
-#include <rtems.h>
-#include <rtems/sysinit.h>
-#include <rtems/score/apimutex.h>
-#include <rtems/score/context.h>
-#include <rtems/score/wkspace.h>
 #include <rtems/confdefs/obsolete.h>
+
 #include <rtems/confdefs/bdbuf.h>
 #include <rtems/confdefs/clock.h>
@@ -49,251 +79,7 @@
 #include <rtems/confdefs/scheduler.h>
 #include <rtems/confdefs/threads.h>
-#include <rtems/confdefs/wkspacesupport.h>
+#include <rtems/confdefs/wkspace.h>
 
-#include <limits.h>
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- * Internal defines must be prefixed with _CONFIGURE to distinguish them from
- * user-provided options which use a CONFIGURE prefix.
- */
-
-/**
- * @defgroup Configuration RTEMS Configuration
- *
- * This module contains all RTEMS Configuration parameters.
- *
- * The model is to estimate the memory required for each configured item
- * and sum those estimates.  The estimate can be too high or too low for
- * a variety of reasons:
- *
- * Reasons estimate is too high:
- *   + FP contexts (not all tasks are FP)
- *
- * Reasons estimate is too low:
- *   + stacks greater than minimum size
- *   + messages
- *   + application must account for device driver resources
- *   + application must account for add-on library resource requirements
- *
- * NOTE:  Eventually this may be able to take into account some of
- *        the above.  This procedure has evolved from just enough to
- *        support the RTEMS Test Suites into something that can be
- *        used remarkably reliably by most applications.
- */
-
-/**
- * @defgroup ConfigurationHelpers Configuration Helpers
- *
- * @ingroup Configuration
- *
- * This module contains items which are used internally to ease
- * the configuration calculations.
- */
-/**@{*/
-
-/**
- * This is a helper macro used in stack space calculations in this file.  It
- * may be provided by the application in case a special task stack allocator
- * is used.  The default is allocation from the RTEMS Workspace.
- */
-#ifdef CONFIGURE_TASK_STACK_FROM_ALLOCATOR
-  #define _Configure_From_stackspace(_stack_size) \
-    CONFIGURE_TASK_STACK_FROM_ALLOCATOR(_stack_size + CONTEXT_FP_SIZE)
-#else
-  #define _Configure_From_stackspace(_stack_size) \
-    _Configure_From_workspace(_stack_size + CONTEXT_FP_SIZE)
-#endif
-/**@}*/
-
-/**
- * This is so we can account for tasks with stacks greater than minimum
- * size.  This is in bytes.
- */
-#ifndef CONFIGURE_EXTRA_TASK_STACKS
-  #define CONFIGURE_EXTRA_TASK_STACKS 0
-#endif
-
-/*
- * We must be able to split the free block used for the second last allocation
- * into two parts so that we have a free block for the last allocation.  See
- * _Heap_Block_split().
- */
-#define _CONFIGURE_HEAP_HANDLER_OVERHEAD \
-  _Configure_Align_up( HEAP_BLOCK_HEADER_SIZE, CPU_HEAP_ALIGNMENT )
-
-/*
- *  Calculate the RAM size based on the maximum number of objects configured.
- */
-#ifndef CONFIGURE_EXECUTIVE_RAM_SIZE
-
-/**
- * The following macro is used to calculate the memory allocated by RTEMS
- * for the message buffers associated with a particular message queue.
- * There is a fixed amount of overhead per message.
- */
-#define CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE(_messages, _size) \
-    _Configure_From_workspace( \
-      (_messages) * (_Configure_Align_up(_size, sizeof(uintptr_t)) \
-        + sizeof(CORE_message_queue_Buffer_control)))
-
-/*
- * This macro is set to the amount of memory required for pending message
- * buffers in bytes.  It should be constructed by adding together a
- * set of values determined by CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE.
- */
-#ifndef CONFIGURE_MESSAGE_BUFFER_MEMORY
-  #define CONFIGURE_MESSAGE_BUFFER_MEMORY 0
-#endif
-
-/**
- * This macro is available just in case the confdefs.h file underallocates
- * memory for a particular application.  This lets the user add some extra
- * memory in case something broken and underestimates.
- *
- * It is also possible for cases where confdefs.h overallocates memory,
- * you could substract memory from the allocated.  The estimate is just
- * that, an estimate, and assumes worst case alignment and padding on
- * each allocated element.  So in some cases it could be too conservative.
- *
- * NOTE: Historically this was used for message buffers.
- */
-#ifndef CONFIGURE_MEMORY_OVERHEAD
-  #define CONFIGURE_MEMORY_OVERHEAD 0
-#endif
-
-/**
- * This calculates the memory required for the executive workspace.
- *
- * This is an internal parameter.
- */
-#define CONFIGURE_EXECUTIVE_RAM_SIZE \
-( \
-   _CONFIGURE_MEMORY_FOR_POSIX_OBJECTS + \
-   CONFIGURE_MESSAGE_BUFFER_MEMORY + \
-   (CONFIGURE_MEMORY_OVERHEAD * 1024) + \
-   _CONFIGURE_HEAP_HANDLER_OVERHEAD \
-)
-
-/*
- * This macro provides a summation of the various initialization task
- * and thread stack requirements.
- */
-#define _CONFIGURE_INITIALIZATION_THREADS_EXTRA_STACKS \
-    (_CONFIGURE_INIT_TASK_STACK_EXTRA + \
-    _CONFIGURE_POSIX_INIT_THREAD_STACK_EXTRA)
-
-/*
- * This macro is calculated to specify the memory required for
- * the stacks of all tasks.
- */
-#define _CONFIGURE_TASKS_STACK \
-  (rtems_resource_maximum_per_allocation( _CONFIGURE_TASKS ) * \
-    _Configure_From_stackspace( CONFIGURE_MINIMUM_TASK_STACK_SIZE ) )
-
-/*
- * This macro is calculated to specify the memory required for
- * the stacks of all POSIX threads.
- */
-#define _CONFIGURE_POSIX_THREADS_STACK \
-  (rtems_resource_maximum_per_allocation( CONFIGURE_MAXIMUM_POSIX_THREADS ) * \
-    _Configure_From_stackspace( CONFIGURE_MINIMUM_POSIX_THREAD_STACK_SIZE ) )
-
-#else /* CONFIGURE_EXECUTIVE_RAM_SIZE */
-
-#define _CONFIGURE_INITIALIZATION_THREADS_EXTRA_STACKS 0
-#define _CONFIGURE_TASKS_STACK 0
-#define _CONFIGURE_POSIX_THREADS_STACK 0
-
-#if CONFIGURE_EXTRA_TASK_STACKS != 0
-  #error "CONFIGURE_EXECUTIVE_RAM_SIZE defined with request for CONFIGURE_EXTRA_TASK_STACKS"
-#endif
-
-#endif /* CONFIGURE_EXECUTIVE_RAM_SIZE */
-
-/*
- * This macro is calculated to specify the memory required for
- * all tasks and threads of all varieties.
- */
-#define _CONFIGURE_STACK_SPACE_SIZE \
-  ( \
-    _CONFIGURE_INITIALIZATION_THREADS_EXTRA_STACKS + \
-    _CONFIGURE_TASKS_STACK + \
-    _CONFIGURE_POSIX_THREADS_STACK + \
-    _CONFIGURE_LIBBLOCK_TASKS_STACK_EXTRA + \
-    CONFIGURE_EXTRA_TASK_STACKS + \
-    _CONFIGURE_HEAP_HANDLER_OVERHEAD \
-  )
-
-#ifdef CONFIGURE_INIT
-  /**
-   * This variable specifies the minimum stack size for tasks in an RTEMS
-   * application.
-   *
-   * NOTE: This is left as a simple uint32_t so it can be externed as
-   *       needed without requring being high enough logical to
-   *       include the full configuration table.
-   */
-  uint32_t rtems_minimum_stack_size =
-    CONFIGURE_MINIMUM_TASK_STACK_SIZE;
-
-  const uintptr_t _Stack_Space_size = _CONFIGURE_STACK_SPACE_SIZE;
-
-  #if defined(CONFIGURE_TASK_STACK_ALLOCATOR) \
-    && defined(CONFIGURE_TASK_STACK_DEALLOCATOR)
-    #ifdef CONFIGURE_TASK_STACK_ALLOCATOR_AVOIDS_WORK_SPACE
-      const bool _Stack_Allocator_avoids_workspace = true;
-    #else
-      const bool _Stack_Allocator_avoids_workspace = false;
-    #endif
-
-    #ifdef CONFIGURE_TASK_STACK_ALLOCATOR_INIT
-      const Stack_Allocator_initialize _Stack_Allocator_initialize =
-        CONFIGURE_TASK_STACK_ALLOCATOR_INIT;
-    #else
-      const Stack_Allocator_initialize _Stack_Allocator_initialize = NULL;
-    #endif
-
-    const Stack_Allocator_allocate _Stack_Allocator_allocate =
-      CONFIGURE_TASK_STACK_ALLOCATOR;
-
-    const Stack_Allocator_free _Stack_Allocator_free =
-      CONFIGURE_TASK_STACK_DEALLOCATOR;
-  #elif defined(CONFIGURE_TASK_STACK_ALLOCATOR) \
-    || defined(CONFIGURE_TASK_STACK_DEALLOCATOR)
-    #error "CONFIGURE_TASK_STACK_ALLOCATOR and CONFIGURE_TASK_STACK_DEALLOCATOR must be both defined or both undefined"
-  #endif
-
-  const uintptr_t _Workspace_Size = CONFIGURE_EXECUTIVE_RAM_SIZE;
-
-  #ifdef CONFIGURE_UNIFIED_WORK_AREAS
-    const bool _Workspace_Is_unified = true;
-  #endif
-
-  #ifdef CONFIGURE_DIRTY_MEMORY
-    RTEMS_SYSINIT_ITEM(
-      _Memory_Dirty_free_areas,
-      RTEMS_SYSINIT_DIRTY_MEMORY,
-      RTEMS_SYSINIT_ORDER_MIDDLE
-    );
-  #endif
-
-  #ifdef CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY
-    const bool _Memory_Zero_before_use = true;
-
-    RTEMS_SYSINIT_ITEM(
-      _Memory_Zero_free_areas,
-      RTEMS_SYSINIT_ZERO_MEMORY,
-      RTEMS_SYSINIT_ORDER_MIDDLE
-    );
-  #endif
-#endif
-
-#ifdef __cplusplus
-}
-#endif
+/** @} */
 
 #endif
Index: cpukit/include/rtems/confdefs/wkspace.h
===================================================================
--- cpukit/include/rtems/confdefs/wkspace.h	(revision a78495eda2d8ef6653a06222f9786b51f722efab)
+++ cpukit/include/rtems/confdefs/wkspace.h	(revision a78495eda2d8ef6653a06222f9786b51f722efab)
@@ -0,0 +1,182 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
+/**
+ * @file
+ *
+ * @ingroup RTEMSApplicationConfiguration
+ *
+ * @brief Evaluate Workspace Configuration Options
+ */
+
+/*
+ * Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef _RTEMS_CONFDEFS_WKSPACE_H
+#define _RTEMS_CONFDEFS_WKSPACE_H
+
+#ifndef __CONFIGURATION_TEMPLATE_h
+#error "Do not include this file directly, use <rtems/confdefs.h> instead"
+#endif
+
+#ifdef CONFIGURE_INIT
+
+#include <rtems/confdefs/bdbuf.h>
+#include <rtems/confdefs/inittask.h>
+#include <rtems/confdefs/initthread.h>
+#include <rtems/confdefs/objectsposix.h>
+#include <rtems/confdefs/threads.h>
+#include <rtems/confdefs/wkspacesupport.h>
+#include <rtems/score/coremsg.h>
+#include <rtems/score/context.h>
+#include <rtems/score/memory.h>
+#include <rtems/score/stack.h>
+#include <rtems/sysinit.h>
+
+#ifdef CONFIGURE_TASK_STACK_FROM_ALLOCATOR
+  #define _Configure_From_stackspace( _stack_size ) \
+    CONFIGURE_TASK_STACK_FROM_ALLOCATOR( _stack_size + CONTEXT_FP_SIZE )
+#else
+  #define _Configure_From_stackspace( _stack_size ) \
+    _Configure_From_workspace( _stack_size + CONTEXT_FP_SIZE )
+#endif
+
+#ifndef CONFIGURE_EXTRA_TASK_STACKS
+  #define CONFIGURE_EXTRA_TASK_STACKS 0
+#endif
+
+#ifndef CONFIGURE_EXECUTIVE_RAM_SIZE
+
+#define CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE( _messages, _size ) \
+  _Configure_From_workspace( \
+    ( _messages ) * ( _Configure_Align_up( _size, sizeof( uintptr_t ) ) \
+        + sizeof( CORE_message_queue_Buffer_control ) ) )
+
+#ifndef CONFIGURE_MESSAGE_BUFFER_MEMORY
+  #define CONFIGURE_MESSAGE_BUFFER_MEMORY 0
+#endif
+
+#ifndef CONFIGURE_MEMORY_OVERHEAD
+  #define CONFIGURE_MEMORY_OVERHEAD 0
+#endif
+
+/*
+ * We must be able to split the free block used for the second last allocation
+ * into two parts so that we have a free block for the last allocation.  See
+ * _Heap_Block_split().
+ */
+#define _CONFIGURE_HEAP_HANDLER_OVERHEAD \
+  _Configure_Align_up( HEAP_BLOCK_HEADER_SIZE, CPU_HEAP_ALIGNMENT )
+
+#define CONFIGURE_EXECUTIVE_RAM_SIZE \
+  ( _CONFIGURE_MEMORY_FOR_POSIX_OBJECTS \
+    + CONFIGURE_MESSAGE_BUFFER_MEMORY \
+    + 1024 * CONFIGURE_MEMORY_OVERHEAD \
+    + _CONFIGURE_HEAP_HANDLER_OVERHEAD )
+
+#define _CONFIGURE_STACK_SPACE_SIZE \
+  ( _CONFIGURE_INIT_TASK_STACK_EXTRA \
+    + _CONFIGURE_POSIX_INIT_THREAD_STACK_EXTRA \
+    + _CONFIGURE_LIBBLOCK_TASKS_STACK_EXTRA \
+    + CONFIGURE_EXTRA_TASK_STACKS \
+    + rtems_resource_maximum_per_allocation( _CONFIGURE_TASKS ) \
+      * _Configure_From_stackspace( CONFIGURE_MINIMUM_TASK_STACK_SIZE ) \
+    + rtems_resource_maximum_per_allocation( CONFIGURE_MAXIMUM_POSIX_THREADS ) \
+      * _Configure_From_stackspace( CONFIGURE_MINIMUM_POSIX_THREAD_STACK_SIZE ) \
+    + _CONFIGURE_HEAP_HANDLER_OVERHEAD )
+
+#else /* CONFIGURE_EXECUTIVE_RAM_SIZE */
+
+#if CONFIGURE_EXTRA_TASK_STACKS != 0
+  #error "CONFIGURE_EXECUTIVE_RAM_SIZE defined with request for CONFIGURE_EXTRA_TASK_STACKS"
+#endif
+
+#define _CONFIGURE_STACK_SPACE_SIZE 0
+
+#endif /* CONFIGURE_EXECUTIVE_RAM_SIZE */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+const uintptr_t _Workspace_Size = CONFIGURE_EXECUTIVE_RAM_SIZE;
+
+#ifdef CONFIGURE_UNIFIED_WORK_AREAS
+  const bool _Workspace_Is_unified = true;
+#endif
+
+uint32_t rtems_minimum_stack_size = CONFIGURE_MINIMUM_TASK_STACK_SIZE;
+
+const uintptr_t _Stack_Space_size = _CONFIGURE_STACK_SPACE_SIZE;
+
+#if defined(CONFIGURE_TASK_STACK_ALLOCATOR) \
+  && defined(CONFIGURE_TASK_STACK_DEALLOCATOR)
+  #ifdef CONFIGURE_TASK_STACK_ALLOCATOR_AVOIDS_WORK_SPACE
+    const bool _Stack_Allocator_avoids_workspace = true;
+  #else
+    const bool _Stack_Allocator_avoids_workspace = false;
+  #endif
+
+  #ifdef CONFIGURE_TASK_STACK_ALLOCATOR_INIT
+    const Stack_Allocator_initialize _Stack_Allocator_initialize =
+      CONFIGURE_TASK_STACK_ALLOCATOR_INIT;
+  #else
+    const Stack_Allocator_initialize _Stack_Allocator_initialize = NULL;
+  #endif
+
+  const Stack_Allocator_allocate _Stack_Allocator_allocate =
+    CONFIGURE_TASK_STACK_ALLOCATOR;
+
+  const Stack_Allocator_free _Stack_Allocator_free =
+    CONFIGURE_TASK_STACK_DEALLOCATOR;
+#elif defined(CONFIGURE_TASK_STACK_ALLOCATOR) \
+  || defined(CONFIGURE_TASK_STACK_DEALLOCATOR)
+  #error "CONFIGURE_TASK_STACK_ALLOCATOR and CONFIGURE_TASK_STACK_DEALLOCATOR must be both defined or both undefined"
+#endif
+
+#ifdef CONFIGURE_DIRTY_MEMORY
+  RTEMS_SYSINIT_ITEM(
+    _Memory_Dirty_free_areas,
+    RTEMS_SYSINIT_DIRTY_MEMORY,
+    RTEMS_SYSINIT_ORDER_MIDDLE
+  );
+#endif
+
+#ifdef CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY
+  const bool _Memory_Zero_before_use = true;
+
+  RTEMS_SYSINIT_ITEM(
+    _Memory_Zero_free_areas,
+    RTEMS_SYSINIT_ZERO_MEMORY,
+    RTEMS_SYSINIT_ORDER_MIDDLE
+  );
+#endif
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* CONFIGURE_INIT */
+
+#endif /* _RTEMS_CONFDEFS_WKSPACE_H */
